Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4373 - rpm fails if /home is managed by autofs
Summary: rpm fails if /home is managed by autofs
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-05 16:00 UTC by Steven Pritchard
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-06 17:17:00 UTC


Attachments (Terms of Use)

Description Steven Pritchard 1999-08-05 16:00:10 UTC
On a system where /home is in an automount map, rpm won't
upgrade a package with autofs running.  It fails with a "foo
needs (some number)k of space on /home".

This is very reproducable with both the version of rpm that
is included with Red Hat 6, and the latest update rpm as of
yesterday (8/4/99).

Comment 1 Jeff Johnson 1999-08-06 17:17:59 UTC
Rpm has a concept of net shared path so that a file is installed only
on the server, not the clients. You can configure netshared paths
by adding (usuallly to /etc/rpm/macros) a line like
	%_netsharedpath	/home:/somewhereelse:/this/is/file
and reinstalling (ising --force if necessary) the package on the
client so that the files in /home will not be installed.

Otherwise, if you want to manage files with rpm that are installed
on an NFS mount, you will need root access to that mount point.
Is it lack of root access that is the problem? Please reopen this bug
if there is some other problem.


Note You need to log in before you can comment on or make changes to this bug.